package sample;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.EJBContext;
import java.security.*;

/**
 *@ejb:bean name="hello"
 * display-name="Sample Hello Ejb"
 * type="Stateless"
 * @ejb:ejb-ref ejb-name="hello"
 * view-type="session"
 * ref-name="ejb/hello"
 * @ejb:home remote-class="sample.HelloEjbHome"
 * @ejb:interface remote-class="sample.HelloEjbRemote"
 * @ejb:permission role-name="adminrole,userrole"
 *
 */
public class HelloEjb implements SessionBean {
	EJBContext ecc = null;
	public void ejbCreate() {}
	public void setSessionContext(SessionContext ctx) {ecc = ctx ; }
	public void ejbRemove() {}
	public void ejbActivate() {}
	public void ejbPassivate() {}
	/**
	 * @return String 
	 * @ejb:interface-method view-type="remote"
	 * @ejb:permission role-name="adminrole,userrole"
	 */
	public String getHelloWorld() {

		Principal p = ecc.getCallerPrincipal();
		String lname = p.getName();
		if(ecc.isCallerInRole("adminrole") ){
			return "Hi! " + lname+" Hello World! you are admin role";
		}{
			return "Welcome  " + lname+" Hello World! you are Manager role";
		}
	}
}
